package com.ss.android.ugc.aweme.im.sdk.chat.ui.helper;

import X.0CB;
import X.0CH;
import X.0CN;
import X.6Is;
import X.HA9;
import com.bytedance.covode.number.Covode;

public final class ChatRoomViewPool implements 6Is {
    public static final HA9 LIZ = new HA9();
    public static final ChatRoomViewPool LIZIZ = new ChatRoomViewPool();

    public final void onStateChanged(0CH r2, 0CB r3) {
        if (r3 == 0CB.ON_DESTROY) {
            onDestroy$im_base_release();
        }
    }

    @0CN(LIZ = 0CB.ON_DESTROY)
    public final void onDestroy$im_base_release() {
        LIZ.clear();
    }

    static {
        Covode.recordClassIndex(85057);
    }
}
